Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 916928 - log-collector behavior inconsistent depending on command line options
Summary: log-collector behavior inconsistent depending on command line options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Simone Tiraboschi
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks: 989484 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-03-01 09:31 UTC by Peter Robinson
Modified: 2015-02-11 17:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This update adds JBoss stack trace support to the rhevm-log-collector. The "jbosstrace" option sends a SIGQUIT signal to the JBoss process launched by ovirt-engine, causing a dump of the stack trace to /var/log/ovirt-engine/console.log. Other JBoss instances will not receive that signal.
Clone Of:
: 989484 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:45:50 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0193 normal SHIPPED_LIVE rhevm-log-collector bug fix and enhancement update 2015-02-11 22:35:42 UTC

Description Peter Robinson 2013-03-01 09:31:37 UTC
rhevm-log-collector-3.1.0-10.el6ev.noarch

If I just run rhevm-log-collector without any command line arguments it collects logs for the Manager and all Hypervisors. If I add the option to specify tmp location ( --local-tmp=/some/other/dir) because /tmp is too small it just collects manager logs. 

Options that aren't specific to the specifics of the configuration (everything except hosts/clusters/datacenters) should not affect whether log-collector gathers  hypervisor logs or not.

Comment 1 Peter Robinson 2013-03-01 10:34:18 UTC
In actual fact as soon as you specify command line options it appears to not want to deal with hypervisors at all

[root@rhevm01 ~]# rhevm-log-collector --local-tmp=/iso/logcollector --cluster=kvmDC1
Please provide the REST API password for the admin@internal RHEV-M user (CTRL+D to skip):
INFO: No hypervisors were selected, therefore no hypervisor data will be collected.
Please provide the password for the PostgreSQL user, postgres, to dump the engine PostgreSQL database instance (CTRL+D to skip): Exiting on user cancel.

[root@rhevm01 ~]# rhevm-log-collector --local-tmp=/iso/logcollector --hosts=kvm*
Please provide the REST API password for the admin@internal RHEV-M user (CTRL+D to skip):
INFO: No hypervisors were selected, therefore no hypervisor data will be collected.
Please provide the password for the PostgreSQL user, postgres, to dump the engine PostgreSQL database instance (CTRL+D to skip): Exiting on user cancel.

[root@rhevm01 ~]# rhevm-log-collector --hosts=kvm* --local-tmp=/iso/logcollector --hosts=washkvm*
Please provide the REST API password for the admin@internal RHEV-M user (CTRL+D to skip):
INFO: No hypervisors were selected, therefore no hypervisor data will be collected.
Please provide the password for the PostgreSQL user, postgres, to dump the engine PostgreSQL database instance (CTRL+D to skip): Exiting on user cancel.

Comment 2 Itamar Heim 2013-12-29 11:10:04 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Comment 3 Peter Robinson 2014-01-06 14:16:15 UTC
Still relevant

Comment 4 Simone Tiraboschi 2014-07-24 12:40:52 UTC
No way to reproduce on oVirt 3.5.0 beta1, probably it has been fixed in the mean time as a side effect of an other issue.

[stirabos@f20t1 ~]$ sudo engine-log-collector 
[sudo] password for stirabos: 
Please provide the REST API password for the admin@internal oVirt Engine user (CTRL+D to skip): 
INFO: Gathering oVirt Engine information...
INFO: Gathering PostgreSQL the oVirt Engine database and log files from localhost...
About to collect information from 1 hypervisors. Continue? (Y/n): y
INFO: Gathering information from selected hypervisors...
INFO: collecting information from f20t1.localdomain
INFO: finished collecting information from f20t1.localdomain



[stirabos@f20t1 ~]$ sudo engine-log-collector --local-tmp=/iso/logcollector
Please provide the REST API password for the admin@internal oVirt Engine user (CTRL+D to skip): 
INFO: Gathering oVirt Engine information...
INFO: Gathering PostgreSQL the oVirt Engine database and log files from localhost...
About to collect information from 1 hypervisors. Continue? (Y/n): y
INFO: Gathering information from selected hypervisors...
INFO: collecting information from f20t1.localdomain
INFO: finished collecting information from f20t1.localdomain
Creating compressed archive...
INFO: Log files have been collected and placed in /tmp/sosreport-LogCollector-20140724143221.tar.xz.
The MD5 for this file is 6f8cec4e3e27d445626c3474f1228b51 and its size is 23.0M



[stirabos@f20t1 ~]$ sudo engine-log-collector --local-tmp=/iso/logcollector --cluster=local_cluster
Please provide the REST API password for the admin@internal oVirt Engine user (CTRL+D to skip): 
INFO: Gathering oVirt Engine information...
INFO: Gathering PostgreSQL the oVirt Engine database and log files from localhost...
About to collect information from 1 hypervisors. Continue? (Y/n): y
INFO: Gathering information from selected hypervisors...
INFO: collecting information from f20t1.localdomain
INFO: finished collecting information from f20t1.localdomain
Creating compressed archive...
INFO: Log files have been collected and placed in /tmp/sosreport-LogCollector-20140724143503.tar.xz.
The MD5 for this file is 29077eee906e97c35b38763ae89968f3 and its size is 23.0M

Comment 5 Petr Beňas 2014-08-21 15:18:19 UTC
in ovirt-log-collector-3.5.0-0.1.master.el6.noarch

Comment 8 errata-xmlrpc 2015-02-11 17:45:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0193.html


Note You need to log in before you can comment on or make changes to this bug.